#!/bin/sh -e

# $1 version
TAR=../mayavi2_$1.orig.tar.gz
DIR=mayavi2_$1.orig

# package list
PACKAGE_LIST="
enthought.debug-2.0.1b1.tar.gz
enthought.envisage-2.0.1b1.tar.gz
enthought.logger-2.0.1b1.tar.gz
enthought.mayavi-2.0.2a1.tar.gz
enthought.persistence-2.0.1b2.tar.gz
enthought.plugins.debug-2.0.1b1.tar.gz
enthought.plugins.python_shell-2.0.1b1.tar.gz
enthought.plugins.refresh_code-2.0.1b1.tar.gz
enthought.plugins.text_editor-2.0.1b1.tar.gz
enthought.tvtk-2.0.0b2.tar.gz
"

# download the tarballs
REPO=http://code.enthought.com/enstaller/eggs/source/
mkdir $DIR
(cd $DIR; \
for package in $PACKAGE_LIST
do
    wget $REPO/$package;
    name=`echo $package | sed -e 's/-.*//'`;
    dir=`echo $package | sed -e 's/\.tar.*//'`;
    tar zxf $package;
    mv $dir $name;
    rm $package;
done )

# create the tarball
GZIP=--best tar -c -z -f $TAR $DIR
rm -rf $DIR

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir
  echo "moved $TAR to $origDir"
fi
